summaryrefslogtreecommitdiff
path: root/regress/usr.bin/ssh
diff options
context:
space:
mode:
authorDamien Miller <djm@cvs.openbsd.org>2024-05-22 04:20:01 +0000
committerDamien Miller <djm@cvs.openbsd.org>2024-05-22 04:20:01 +0000
commit6021d76f33ea0eff5fcc2892721dc8b52fdb1cf0 (patch)
tree43b1b265bf5b8b6cc2ab4bdf5a75be2d5de24068 /regress/usr.bin/ssh
parentf1f5944a0f777bd78eb124e1b196168ec1470e97 (diff)
this test has been broken since 2014, and has been testing the same
key exchange algorithm repeatedly instead of testing all of them. Spotted by nreilly AT blackberry.com in bz3692 Who broke the test? me.
Diffstat (limited to 'regress/usr.bin/ssh')
-rw-r--r--regress/usr.bin/ssh/rekey.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/regress/usr.bin/ssh/rekey.sh b/regress/usr.bin/ssh/rekey.sh
index 61723cd8660..8005a86ad39 100644
--- a/regress/usr.bin/ssh/rekey.sh
+++ b/regress/usr.bin/ssh/rekey.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: rekey.sh,v 1.19 2021/07/19 05:08:54 dtucker Exp $
+# $OpenBSD: rekey.sh,v 1.20 2024/05/22 04:20:00 djm Exp $
# Placed in the Public Domain.
tid="rekey"
@@ -14,7 +14,7 @@ ssh_data_rekeying()
{
_kexopt=$1 ; shift
_opts="$@"
- if ! test -z "$_kexopts" ; then
+ if ! test -z "$_kexopt" ; then
cp $OBJ/sshd_proxy_bak $OBJ/sshd_proxy
echo "$_kexopt" >> $OBJ/sshd_proxy
_opts="$_opts -o$_kexopt"